package cn.com.ty.lift.ud.dataBank.service;

import java.util.List;

import cn.com.ty.lift.ud.dataBank.mapper.entity.LiftBrandVo;
import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.ty.lift.ud.dataBank.mapper.entity.LiftBrandEntity;

/**
 * 电梯品牌 -Service
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface ILiftBrandService extends IService<LiftBrandEntity> {

    List<LiftBrandVo> brandListApp(LiftBrandEntity lt);

    void updateByIds(List<Long> ids, Integer status);

    void updateHotFlagByIds(List<Long> ids, Integer status);

    List<LiftBrandEntity> queryAll();

    List<LiftBrandEntity> getByName(String name);
}
